solverl_plan_complex Struct Reference

data structure for an inverse NFFT plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for solverl_plan_complex:
[legend]

## Data Fields

nfftl_mv_plan_complex * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
long double * | w
| weighting factors
long double * | w_hat
| damping factors
fftwl_complex * | y
| right hand side, samples
fftwl_complex * | f_hat_iter
| iterative solution
fftwl_complex * | r_iter
| iterated residual vector
fftwl_complex * | z_hat_iter
| residual of normal equation of first kind
fftwl_complex * | p_hat_iter
| search direction
fftwl_complex * | v_iter
| residual vector update
long double | alpha_iter
| step size for search direction
long double | beta_iter
| step size for search correction
long double | dot_r_iter
| weighted dotproduct of r_iter
long double | dot_r_iter_old
| previous dot_r_iter
long double | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
long double | dot_z_hat_iter_old
| previous dot_z_hat_iter
long double | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
long double | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with long double precision

Definition at line 797 of file nfft3.h.

## Field Documentation

## mv

nfftl_mv_plan_complex* solverl_plan_complex::mv

matrix vector multiplication

Definition at line 797 of file nfft3.h.

## flags

unsigned solverl_plan_complex::flags

iteration type

Definition at line 797 of file nfft3.h.

## w

long double* solverl_plan_complex::w

weighting factors

Definition at line 797 of file nfft3.h.

## w_hat

long double* solverl_plan_complex::w_hat

damping factors

Definition at line 797 of file nfft3.h.

## y

fftwl_complex* solverl_plan_complex::y

right hand side, samples

Definition at line 797 of file nfft3.h.

## f_hat_iter

fftwl_complex* solverl_plan_complex::f_hat_iter

iterative solution

Definition at line 797 of file nfft3.h.

## r_iter

fftwl_complex* solverl_plan_complex::r_iter

iterated residual vector

Definition at line 797 of file nfft3.h.

## z_hat_iter

fftwl_complex* solverl_plan_complex::z_hat_iter

residual of normal equation of first kind

Definition at line 797 of file nfft3.h.

## p_hat_iter

fftwl_complex* solverl_plan_complex::p_hat_iter

search direction

Definition at line 797 of file nfft3.h.

## v_iter

fftwl_complex* solverl_plan_complex::v_iter

residual vector update

Definition at line 797 of file nfft3.h.

## alpha_iter

long double solverl_plan_complex::alpha_iter

step size for search direction

Definition at line 797 of file nfft3.h.

## beta_iter

long double solverl_plan_complex::beta_iter

step size for search correction

Definition at line 797 of file nfft3.h.

## dot_r_iter

long double solverl_plan_complex::dot_r_iter

weighted dotproduct of r_iter

Definition at line 797 of file nfft3.h.

## dot_r_iter_old

long double solverl_plan_complex::dot_r_iter_old

previous dot_r_iter

Definition at line 797 of file nfft3.h.

## dot_z_hat_iter

long double solverl_plan_complex::dot_z_hat_iter

weighted dotproduct of z_hat_iter

Definition at line 797 of file nfft3.h.

## dot_z_hat_iter_old

long double solverl_plan_complex::dot_z_hat_iter_old

previous dot_z_hat_iter

Definition at line 797 of file nfft3.h.

## dot_p_hat_iter

long double solverl_plan_complex::dot_p_hat_iter

weighted dotproduct of p_hat_iter

Definition at line 797 of file nfft3.h.

## dot_v_iter

long double solverl_plan_complex::dot_v_iter

weighted dotproduct of v_iter

Definition at line 797 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h